#
# Copyright 2018 Scytl Secure Electronic Voting SA
#
# All rights reserved
#
# See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package
#

database.path=plocal:sdmDB
# Location of contests configuration json file
config.filename=sdmConfig/config.json
configuration.filename=sdmConfig/configuration.json

download.config.source=sdmConfig/admin_portal.properties
upload.config.source=sdmConfig/voting_portal.properties
sdm.config.source=sdmConfig/sdm.properties
adapter.properties = sdmConfig/adapter.properties
elections.config.filename=sdmConfig/elections_config.json
server.port = 8080
AP_URL=http://localhost:8080/ov-configuration/api
adminPortal.enabled=false
AU_URL=http://localhost:8080/ag-ws-rest/au
EI_URL=http://localhost:8080/ag-ws-rest/ei
VM_URL=http://localhost:8080/ag-ws-rest/vm
VV_URL=http://localhost:8080/ag-ws-rest/vv
KT_URL=http://localhost:8080/ag-ws-rest/kt
EA_URL=http://localhost:8080/ag-ws-rest
CR_URL=http://localhost:8080/ag-ws-rest
voting.portal.enabled=false
tenantID=100
adapter.url=http://localhost:8080/ov-maedi-configuration-adapter
adapter.enabled=false
COUNTING_URL=http://localhost:8080/counting
TALLYING_URL=http://localhost:8080/tallying
CREATE_BALLOT_BOX_URL=http://localhost:8080/config-generator/createBallotBoxes
CREATE_ELECTORAL_BOARD_KEYS_URL=http://localhost:8080/config-generator/createElectoralBoardKeyPair
CREATE_ELECTION_EVENT_URL=http://localhost:8080/config-generator/createElectionEvent
CREATE_VOTING_CARD_SET_URL=http://localhost:8080/config-generator/createVotingCardSet
CREATE_CLEANSING_DATA_URL=http://localhost:8080/config-generator/cleansingdata
CLEANSING_URL=http://localhost:8080/cleansing
PROGRESS_URL=http://localhost:8080/config-generator/progress
MIXING_URL=http://localhost:8080/mixing
CONFIG_GENERATOR_URL=http://localhost:8080/config-generator
config.param.nr.credentials.per.file=1000
config.param.nr.processes=4
tallying.enabled=true

# SmartCards enabled
smartcards.enabled=true


read.time.out=300
write.time.out=300
connection.time.out=300
